#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_stdio(false);
    cin.tie(0); cout.tie(0);
    char c1, c2;
    cin>>c1>>c2;
    int n, m;
    cin>>n>>m;

    if(abs(n-m)>1){cout<<"nemoguce"; return 0;}

    if(m>=n)
    {
        for(int i=0; i<n+m; i++)
        {
            if(i%2==0)cout<<c2;
            else cout<<c1;
        }
    }
    else
    {
        for(int i=0; i<n+m; i++)
        {
            if(i%2==0)cout<<c1;
            else cout<<c2;
        }
    }
    return 0;
}